We use Dynamics SL 2011 and Management Reporter. One of our users had to rebuild their computer. As a result they need to re-install Management Reporter. On the application server as well as other users computers, it says we have version 2.1.1031.40. After researching, I found that we are using RU 3; however, when I install RU 3, it says the versions don't match. I don't want to upgrade it on the server because we are in the middle of generating our financials for April and we are also going to a different ERP system in a few months.

Can anyone provide some guidance on this issue?